CompactionInfo (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.compaction

## Class CompactionInfo

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionInfo

- All Implemented Interfaces:
    java.io.Serializable

      public final class CompactionInfo
      extends java.lang.Object
      implements java.io.Serializable

  Implements serializable to allow structured info to be returned via JMX.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CompactionInfo.Holder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompactionInfo(CFMetaData cfm, OperationType tasktype, long completed, long total, java.lang.String unit, java.util.UUID compactionId)`
    `CompactionInfo(CFMetaData cfm, OperationType tasktype, long bytesComplete, long totalBytes, java.util.UUID compactionId)`
    `CompactionInfo(OperationType tasktype, long completed, long total, java.lang.String unit, java.util.UUID compactionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `asMap()`
    `java.util.UUID` | `compactionId()`
    `CompactionInfo` | `forProgress(long complete, long total)`
    `CFMetaData` | `getCFMetaData()`
    `java.lang.String` | `getColumnFamily()`
    `long` | `getCompleted()`
    `java.util.UUID` | `getId()`
    `java.lang.String` | `getKeyspace()`
    `OperationType` | `getTaskType()`
    `long` | `getTotal()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompactionInfo

          public CompactionInfo(CFMetaData cfm,
                                OperationType tasktype,
                                long bytesComplete,
                                long totalBytes,
                                java.util.UUID compactionId)

    - #### CompactionInfo

          public CompactionInfo(OperationType tasktype,
                                long completed,
                                long total,
                                java.lang.String unit,
                                java.util.UUID compactionId)

    - #### CompactionInfo

          public CompactionInfo(CFMetaData cfm,
                                OperationType tasktype,
                                long completed,
                                long total,
                                java.lang.String unit,
                                java.util.UUID compactionId)

  - ### Method Detail

    - #### forProgress

          public CompactionInfo forProgress(long complete,
                                            long total)

      Returns:
        A copy of this CompactionInfo with updated progress.

    - #### getId

          public java.util.UUID getId()

    - #### getKeyspace

          public java.lang.String getKeyspace()

    - #### getColumnFamily

          public java.lang.String getColumnFamily()

    - #### getCFMetaData

          public CFMetaData getCFMetaData()

    - #### getCompleted

          public long getCompleted()

    - #### getTotal

          public long getTotal()

    - #### getTaskType

          public OperationType getTaskType()

    - #### compactionId

          public java.util.UUID compactionId()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### asMap

          public java.util.Map<java.lang.String,java.lang.String> asMap()

Copyright © 2018 The Apache Software Foundation